| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csCtoW Struct Reference
[Utilities]

Helper class to convert char* (UTF-8 encoded )to wchar_t* strings for use as function parameters. More...

`#include <csutil/util.h>`

List of all members.

## Public Member Functions
| csCtoW (const char *s)
| Constructor.
| operator const wchar_t * () const
| Retrieve the converted string.
| ~csCtoW ()
| Deletes the internally stored string.

## Detailed Description

Helper class to convert char* (UTF-8 encoded )to wchar_t* strings for use as function parameters.

Use of this helper class is more convenient than a csStrNewW() / delete[] pair, but essentially does the same (with the convenience of automatic cleanup).

Definition at line 117 of file util.h.

## Constructor & Destructor Documentation

csCtoW::csCtoW | ( | const char * | s | ) | `[inline]`

Constructor.

Stores an UTF-16 converted version of `s` internally.

Definition at line 126 of file util.h.

References csStrNewW().

csCtoW::~csCtoW | ( |  | ) | `[inline]`

Deletes the internally stored string.

Definition at line 131 of file util.h.

## Member Function Documentation

csCtoW::operator const wchar_t * | ( |  | ) | const`[inline]`

Retrieve the converted string.

Definition at line 136 of file util.h.

The documentation for this struct was generated from the following file:

- csutil/util.h